Issue 123296 - OK button in Validity Error Message is misleading for stop alert
Summary: OK button in Validity Error Message is misleading for stop alert
Status: CONFIRMED
Alias: None
Product: Calc
Classification: Application
Component: ui (show other issues)
Version: 3.4.0
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-19 15:52 UTC by Akriti
Modified: 2013-09-29 12:53 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.0.0
Developer Difficulty: Medium


Attachments
Sample Document (10.96 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2013-09-29 11:33 UTC, Rainer Bielefeld
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Akriti 2013-09-19 15:52:43 UTC
[OK] button in alert tab is misleading for selected proceeding "Stop", 
  "OK" generally is for confirmation or finishing an allowed operation.Expected actions are ::
   * Retry 
   * Ignore Value: Input will be ignored, cell cursor moves to expected
     position
or
Cancel

   * Help
Comment 1 Edwin Sharp 2013-09-19 16:34:17 UTC
IMHO not a bug.
OK button is common to all actions: stop, warning, information, macro.
Retry, Ignore, Cancel buttons are not common to all above actions.
Comment 2 Akriti 2013-09-25 07:10:06 UTC
@Edwin Sharp:
The usage of Stop error alert message is to prevent the invalid data to be entered. Retry button  returns to the cell for further editing, and Cancel restores the previous value to the cell. Here in this type of alert users can't enter invalid data by typing and pressing enter .

Information Alert :This message should not prevent entry of invalid data.Presence of OK button is meaningful and user can input the invalid data in the cell and a Cancel button, which restores the previous value to the cell.

Warning Alert:This alert should not prevent entry of invalid data. Ok(yes) enters the invalid data in the cell, Retry(No) returns to the cell for further editing, and Cancel restores the previous value to the cell.
Comment 3 Rainer Bielefeld 2013-09-29 11:22:37 UTC
Edwin is right with description of current situation, but that exactly is the problem. Steps how to reproduce Reproducible with  "AOO 4.1.0-Dev – English  UI / German locale - [AOO410m1(Build:9750)  -  Rev. 1525917 - 2013-09-25]" on German WIN7 Home Premium (64bit)", own separate user profile:

1. From AOO Start Center open attachment
2. Into cell B2 type "1" (accepted only x, y or z) [Enter]
   Message with some custom text and OK and Reject button appears
3. [OK]: As expected value will be taken for B2
4. Into cell B3 type "1" (accepted only x, y or z) [Enter]
   Message with some custom text and OK and Reject button appears
5. [Cancel]: As expected value will be REJECTED
   But IMHO it's not ok that cell cursor jumps to next cell we need a button
   what leaves cell cursor for second try

6. Into cell A2 type "1" (accepted only x,y or z) [Enter]
   Message with some custom text and buttons OK appears
7. [OK]: 
   Expected: value will be taken for A2 (due to experience in (2)
   Actual: Input ignored, cell cursor moves to next cell

So we have some inconsistency concerning OK button function between 
   step (3) and (7)


Additional Info
---------------
a) Competitors:
a1) Softmaker FeeOffice: Clearly distinguishes between for STOP
    - Retry: new input into selected cell, ole input stays for editint
    - Cancel: Cell cursor stays at same cell, input disappears
    Is a little unclear for "Warn MSG" fields
    - Yes: takes input, although not valid
    - No: Like "Retry" above
    - Cancel: as above
a2) Calligra (rather old): I did not find a "Validity" feature
a3) LibO 4.2: Same as AOO
b) That never worked consistent in OOo
c) Of course the message should contain a Help Button leading to Help 
   "Validity ..."

Suggestion:
------------
Info / Warning Message: Buttons 
- Retry:  Allow Edit of edit
- Cancel: rejects input, Cell cursor stays
- Reject: Ignores input, Cell cursor moves to next Cell
- OK:     Accepts input, Cell cursor moves to next Cell
- Help
	
STOP Message: Buttons 
- Retry:  Allow Edit of edit
- Cancel: rejects input, Cell cursor stays
- Reject: Ignores input, Cell cursor moves to next Cell
- Help
Comment 4 Rainer Bielefeld 2013-09-29 11:33:35 UTC
Created attachment 81673 [details]
Sample Document

See comment above how to use!
Comment 5 Edwin Sharp 2013-09-29 12:53:33 UTC
IMHO KISS
http://en.wikipedia.org/wiki/Keep_It_Simple_Stupid